﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace Prj_FlexChart
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            chart.BindingContext = new FlexChartDataSource();
           
        }
    }
    public class FlexChartDataSource
    {
        private List<Month> appData;

        public List<Month> Data
        {
            get { return appData; }
        }

        public FlexChartDataSource()
        {
            // appData
            appData = new List<Month>();
            var monthNames = "Jan,Feb,March,April,May,June,July,Aug,Sept,Oct,Nov,Dec".Split(',');
            var salesData = new[] { 5000, 8500, 7000, 6500, 12000, 14800, 18500, 7500, 6500, 13000, 20000, 9000 };
            var downloadsData = new[] { 6000, 7500, 12000, 5800, 11000, 7000, 16000, 17500, 19500, 13250, 13800, 19000 };
            var expensesData = new[] { 15000, 18000, 15500, 18500, 11000, 16000, 8000, 7500, 6500, 6000, 13500, 5000 };
            for (int i = 0; i < 12; i++)
            {
                Month tempMonth = new Month();
                tempMonth.Name = monthNames[i];
                tempMonth.Sales = salesData[i];
                tempMonth.Downloads = downloadsData[i];
                tempMonth.Expenses = expensesData[i];
                appData.Add(tempMonth);

            }
        }
    }

    public class Month
    {
        string _name;
        long _sales, _downloads, _expenses;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public long Sales
        {
            get { return _sales; }
            set { _sales = value; }
        }

        public long Downloads
        {
            get { return _downloads; }
            set { _downloads = value; }
        }
        public long Expenses
        {
            get { return _expenses; }
            set { _expenses = value; }
        }
    }
}
